# Generated by Django 4.0.6 on 2022-07-18 21:23

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('books', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='book',
            name='book_cover',
        ),
        migrations.RemoveField(
            model_name='book',
            name='is_in_print',
        ),
        migrations.RemoveField(
            model_name='book',
            name='isbn_number',
        ),
        migrations.RemoveField(
            model_name='book',
            name='number_of_pages',
        ),
        migrations.RemoveField(
            model_name='book',
            name='publish_date',
        ),
        migrations.AddField(
            model_name='book',
            name='description',
            field=models.TextField(null=True),
        ),
        migrations.AddField(
            model_name='book',
            name='image',
            field=models.URLField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='book',
            name='in_print',
            field=models.BooleanField(null=True),
        ),
        migrations.AddField(
            model_name='book',
            name='isbn',
            field=models.BigIntegerField(null=True),
        ),
        migrations.AddField(
            model_name='book',
            name='pages',
            field=models.SmallIntegerField(null=True),
        ),
        migrations.AddField(
            model_name='book',
            name='year_published',
            field=models.SmallIntegerField(null=True),
        ),
        migrations.AlterField(
            model_name='book',
            name='author',
            field=models.CharField(max_length=200),
        ),
        migrations.AlterField(
            model_name='book',
            name='title',
            field=models.CharField(max_length=200, unique=True),
        ),
    ]
